Api referenceFindings

Request External Issue

Reference for Request External Issue in the Hyperoru v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/findings/{finding_id}/external-issues

Request External Issue. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
finding_id*Finding Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/external-issues" \  -H "Content-Type: application/json" \  -d '{    "authorization_id": "be63c26c-03c0-4635-ae2b-58f14bd033f9"  }'
{
  "external_id": "string",
  "external_url": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "last_error": "string",
  "last_status": "string",
  "last_synced_at": "2019-08-24T14:15:22Z",
  "provider": "string",
  "revoked_at": "2019-08-24T14:15:22Z",
  "sync_cursor": "string",
  "sync_state": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "workflow_action_id": "7de771d7-f9cd-453f-8427-f366cba180e9"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}